$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.39.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.39.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'E7B56D337407119B45034050B72A78DA38CCC1A2EC2EB19BADAFA9441C9A10F8'
  checksumType = 'sha256'
  checksum64 = 'E7B56D337407119B45034050B72A78DA38CCC1A2EC2EB19BADAFA9441C9A10F8'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.39-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
